Bug 1425705 - taskcleaner.sh fails on non existing columns in command_entities table
Summary: taskcleaner.sh fails on non existing columns in command_entities table
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Infra
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.1.1
: 4.1.1.3
Assignee: Fred Rolland
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-22 07:50 UTC by Fred Rolland
Modified: 2017-04-21 09:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:49:02 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 72830 0 master MERGED engine: remove nonexisting columns in taskcleaner 2017-02-22 08:12:54 UTC
oVirt gerrit 72831 0 ovirt-engine-4.1 MERGED engine: remove nonexisting columns in taskcleaner 2017-02-22 08:29:55 UTC

Description Fred Rolland 2017-02-22 07:50:26 UTC
Description of problem:


Version-Release number of selected component (if applicable):
4.1

How reproducible:
100$

Steps to Reproduce:
1. run:
PGPASSWORD=engine $HOME/ovirt-engine/share/ovirt-engine/setup/dbutils/taskcleaner.sh -T -u engine -d engine


Actual results:

 t
ERROR:  column "job_id" does not exist
LINE 1: ...created_at,status,return_value,return_value_class,job_id,ste...
                                                             ^
FATAL: Cannot execute sql command: --command=SELECT command_id,command_type,root_command_id,command_parameters,command_params_class,created_at,status,return_value,return_value_class,job_id,step_id,executed FROM GetAllCommandsWithRunningTasks();

Expected results:
Return the running tasks
t
 62278f90-7730-498e-81c5-57914aaaaaa8 |          225 | 6b2fed39-6476-40d4-8ff9-338e1e7fb14f | {                                                                                 +| org.ovirt.e
ngine.core.common.action.MoveOrCopyImageGroupParameters | 2017-02-22 09:48:31.03851+02 | ACTIVE | {                                                                     +| org.ovirt.engine.co
re.common.action.VdcReturnValueBase | t



Additional info:

Comment 1 Petr Matyáš 2017-03-29 11:38:10 UTC
Verified on 4.1.1-7


Note You need to log in before you can comment on or make changes to this bug.